config:
    shim:
        'jquery-ui':
            deps:
                - 'jquery'
        'jquery-ui-timepicker':
            deps:
                - 'jquery-ui'
        'jquery.mousewheel':
            deps:
                - 'jquery'
        'jquery.numeric':
            deps:
                - 'jquery'
        'jquery.uniform':
            deps:
                - 'jquery'
        'jquery.select2':
            deps:
                - 'jquery'
        'jquery.simplecolorpicker':
            deps:
                - 'jquery'
        'jquery.minicolors':
            deps:
                - 'jquery'
        'jquery.jstree':
            deps:
                - 'jquery'
        'jstree/jquery.cookie':
            deps:
                - 'jquery.jstree'
        'jstree/jquery.hotkeys':
            deps:
                - 'jquery.jstree'
        'bootstrap':
            deps:
                - 'jquery'
        'underscore':
            exports: '_'
        'backbone-bootstrap-modal':
            deps:
                - 'jquery'
                - 'underscore'
                - 'backbone'
        'jquery.ajax.queue':
            deps:
                - 'jquery'
    map:
        '*':
            'jquery': 'oroui/js/extend/jquery'
            'jquery.select2': 'oroui/js/extend/select2'
            'chaplin': 'oroui/js/extend/chaplin'
            'backbone': 'oroui/js/extend/backbone'
            'bootstrap': 'oroui/js/extend/bootstrap'
            'jquery-ui': 'oroui/js/jquery-ui-datepicker-l10n'
            'jquery-ui-timepicker': 'oroui/js/jquery-ui-timepicker-l10n'
        'oroui/js/extend/jquery':
            'jquery': 'jquery'
        'oroui/js/extend/select2':
            'jquery.select2': 'jquery.select2'
        'oroui/js/extend/jquery-ui':
            'jquery-ui': 'jquery-ui'
        'oroui/js/extend/chaplin':
            'chaplin': 'chaplin'
        'oroui/js/extend/backbone':
            'backbone': 'backbone'
        'oroui/js/extend/bootstrap':
            'bootstrap': 'bootstrap'
        'oroui/js/jquery-ui-datepicker-l10n':
            'jquery-ui': 'oroui/js/extend/jquery-ui'
        'oroui/js/jquery-ui-timepicker-l10n':
            'jquery-ui-timepicker': 'jquery-ui-timepicker'
    paths:
        'text': 'bundles/oroui/lib/text.js'
        'json': 'bundles/oroui/lib/json2.js'
        'base64': 'bundles/oroui/lib/base64.js'
        'jquery': 'bundles/oroui/lib/jquery-2.0.2.js'
        'jquery-ui': 'bundles/oroui/lib/jquery-ui-1.10.4.js'
        'jquery-ui-timepicker': 'bundles/oroui/lib/jquery-ui-timepicker-addon.js'
        'jquery-outer-html': 'bundles/oroui/lib/outerHTML-2.1.0-min.js'
        'jquery.mousewheel': 'bundles/oroui/lib/jquery/jquery.mousewheel.min.js'
        'jquery.numeric': 'bundles/oroui/lib/jquery/jquery.numeric.js'
        'jquery.uniform': 'bundles/oroui/lib/jquery/jquery.uniform.min.js'
        'jquery.select2': 'bundles/oroui/lib/jquery/select2.js'
        'jquery.simplecolorpicker': 'bundles/oroui/lib/simplecolorpicker/jquery.simplecolorpicker.js'
        'jquery.minicolors': 'bundles/oroui/lib/minicolors/jquery.minicolors.js'
        'jquery.jstree': 'bundles/oroui/lib/jstree/jquery.jstree.js'
        'jquery.ajax.queue': 'bundles/oroui/lib/jquery/jquery.ajaxQueue.min.js'
        'jstree/jquery.cookie': 'bundles/oroui/lib/jstree/jquery.cookie.js'
        'jstree/jquery.hotkeys': 'bundles/oroui/lib/jstree/jquery.hotkeys.js'
        'bootstrap': 'bundles/oroui/lib/bootstrap.min.js'
        'underscore': 'bundles/oroui/lib/underscore.js'
        'backbone': 'bundles/oroui/lib/backbone.js'
        'chaplin': 'bundles/oroui/lib/chaplin-1.0.0.js'
        'backbone-bootstrap-modal': 'bundles/oroui/lib/backbone.bootstrap-modal.js'

        'ready': 'bundles/oroui/js/requirejs/ready.js'
        'oroui/js/app/ready-state-tracker': 'bundles/oroui/js/app/ready-state-tracker.js'
        'controllers/page-controller': 'bundles/oroui/js/app/controllers/page-controller.js'
        'oroui/js/app/modules/layout-module': 'bundles/oroui/js/app/modules/layout-module.js'
        'oroui/js/app/modules/messenger-module': 'bundles/oroui/js/app/modules/messenger-module.js'
        'oroui/js/app/modules/views-module': 'bundles/oroui/js/app/modules/views-module.js'
        'oroui/js/app/modules/widgets-module': 'bundles/oroui/js/app/modules/widgets-module.js'
        'oroui/js/app/application': 'bundles/oroui/js/app/application.js'
        'oroui/js/app/routes': 'bundles/oroui/js/app/routes.js'
        'oroui/js/app/models/base/collection': 'bundles/oroui/js/app/models/base/collection.js'
        'oroui/js/app/views/page/breadcrumb-view': 'bundles/oroui/js/app/views/page/breadcrumb-view.js'
        'oroui/js/app/views/page/content-view': 'bundles/oroui/js/app/views/page/content-view.js'
        'oroui/js/app/views/page/main-menu-view': 'bundles/oroui/js/app/views/page/main-menu-view.js'
        'oroui/js/app/views/page/user-menu-view': 'bundles/oroui/js/app/views/page/user-menu-view.js'
        'oroui/js/app/views/page/loading-mask-view': 'bundles/oroui/js/app/views/page/loading-mask-view.js'
        'oroui/js/app/views/page/messages-view': 'bundles/oroui/js/app/views/page/messages-view.js'
        'oroui/js/app/views/page/debug-toolbar-view': 'bundles/oroui/js/app/views/page/debug-toolbar-view.js'

        'oroui/js/delete-confirmation': 'bundles/oroui/js/delete-confirmation.js'
        'oroui/js/error': 'bundles/oroui/js/error.js'
        'oroui/js/init-layout': 'bundles/oroui/js/init-layout.js'
        'oroui/js/jquery-ui-datepicker-l10n': 'bundles/oroui/js/jquery-ui-datepicker-l10n.js'
        'oroui/js/jquery-ui-timepicker-l10n': 'bundles/oroui/js/jquery-ui-timepicker-l10n.js'
        'oroui/js/layout': 'bundles/oroui/js/layout.js'
        'oroui/js/loading-mask': 'bundles/oroui/js/loading-mask.js'
        'oroui/js/mediator': 'bundles/oroui/js/mediator.js'
        'oroui/js/messenger': 'bundles/oroui/js/messenger.js'
        'oroui/js/modal': 'bundles/oroui/js/modal.js'
        'oroui/js/scrollspy': 'bundles/oroui/js/scrollspy.js'
        'oroui/js/app/components/hidden-redirect-component': 'bundles/oroui/js/app/components/hidden-redirect-component.js'
        'oroui/js/app/components/view-component': 'bundles/oroui/js/app/components/view-component.js'
        'oroui/js/app/components/widget-component': 'bundles/oroui/js/app/components/widget-component.js'
        'oroui/js/widget-manager': 'bundles/oroui/js/widget/widget-manager.js'
        'oroui/js/widget/abstract-widget': 'bundles/oroui/js/widget/abstract-widget.js'
        'oro/block-widget': 'bundles/oroui/js/widget/block-widget.js'
        'oro/page-widget': 'bundles/oroui/js/widget/page-widget.js'
        'oro/buttons-widget': 'bundles/oroui/js/widget/buttons-widget.js'
        'oroui/js/mobile/layout': 'bundles/oroui/js/mobile/layout.js'
        'oroui/js/mobile/page-header': 'bundles/oroui/js/mobile/page-header.js'
        'oroui/js/mobile/side-menu': 'bundles/oroui/js/mobile/side-menu.js'

        'oroui/js/desktop/side-menu': 'bundles/oroui/js/desktop/side-menu.js'

        'oroui/js/items-manager/table': 'bundles/oroui/js/items-manager/table.js'
        'oroui/js/items-manager/editor': 'bundles/oroui/js/items-manager/editor.js'

        'oroui/js/content-processor/pinned-dropdown-button': 'oroui/js/content-processor/pinned-dropdown-button.js'

        'autolinker': 'bundles/oroui/lib/autolinker.min.js'
    appmodules:
        - oroui/js/app/modules/layout-module
        - oroui/js/app/modules/messenger-module
        - oroui/js/app/modules/views-module
        - oroui/js/app/modules/widgets-module

build:
    paths:
#       Backbone after v.1.1.1 started to support AMD. And that broke a js-build with
#       files which does not support AMD. backbone-bootstrap-modal use AMD without dependency,
#       therefore it's excluded
        'backbone-bootstrap-modal': 'empty:'
